<?php 

//Related Content//
/**
* 2011-juin
* @ All rights reserved
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* by Neil Withnall
* @ version profil_co2 3.0
**/

require('./fpdf.php');
      
$naam = trim($_POST['naam']); 
$display_year = trim($_POST['display_year']);
$uitkomst = trim($_POST['uitkomst']);
$result=$uitkomst*1000;

//label values
$b_label = trim($_POST['b_label']);
$c_label = trim($_POST['c_label']);
$d_label = trim($_POST['d_label']);
$e_label = trim($_POST['e_label']);
$f_label = trim($_POST['f_label']);
$g_label = trim($_POST['g_label']);

// Table values
$fioul = trim($_POST['fioul']);
$elek = trim($_POST['elek']);
$gas = trim($_POST['gas']);
$gasp = trim($_POST['gasp']);
$kma = trim($_POST['kma']);
$km = trim($_POST['km']);
$kmt = trim($_POST['kmt']);

// Graph values
$fioul_perc = trim($_POST['fioul_perc']);
$elec_perc = trim($_POST['elec_perc']);
$gaz_perc = trim($_POST['gaz_perc']);
$avion_perc = trim($_POST['avion_perc']);
$voit_perc = trim($_POST['voit_perc']);
$train_perc = trim($_POST['train_perc']);

//Titres des colonnes
$header=array('Energie','CO2 (kg)');

class PDF extends FPDF {

//En-t�te
function Header() {

	global $naam, $display_year, $uitkomst;

	//Logo
	$this->Image('../image/world.png',10,8,30,0,'','http://lau.jarry.free.fr/index.php/logiciel-libre/calculs-co2');
	$this->SetTextColor(128,0,0);
  $this->Cell(350,0,$display_year,0,1,'C');
  
	$this->SetX(55);
	$this->SetFont('Arial','B',18);
	$this->SetTextColor(100);
	$this->Cell(100,10,'Profil CO2 pour',0,1,'C');
	$this->SetDrawColor(128,0,0);
	$this->Line(60, 30, 150, 30);
	$this->Line(60, 20, 150, 20);

	$this->SetX(55);
	$this->SetFont('Arial','B',18);
	$this->SetTextColor(100);
	$this->Cell(100,10,$naam,0,1,'C');
  $this->Ln(5);

	$this->SetFont('Arial','B',15);
	$this->SetTextColor(100);
	$this->Cell(210,10, 'Vos rejets = ' . round($uitkomst,1) . ' tonnes de CO2',0,1,'C');
	parent::Header();
}

//Pied de page
function Footer() {

	//Positionnement � 1,5 cm du bas
	$this->SetY(-10);
	$this->SetX(17.5);

	//Police Arial italique 8
	$this->SetFont('Arial','I',8);
	$this->Line(10, 285, 200, 285);
	$this->Cell(0,0,'Informations de calculs sur http://lau.jarry.free.fr/modules/mod_CO2profil/aide.pdf - Module Profil CO2',0,0,'C');

}

//Chargement des donn�es
function LoadData($file) {

	//Lecture des lignes du fichier
	$lines=file($file);
	$data=array();
	foreach($lines as $line)
		$data[]=explode(';',chop($line));
	return $data;
	
}
	
//Tableau color�
function FancyTable($header,$data) {

	global $uitkomst, $fioul, $elek, $gas, $gasp, $kma, $km, $kmt, $result;
	
	$this->SetX(67.5); // center the table header
	
	//Couleurs, �paisseur du trait et police grasse
	$this->SetFillColor(128,0,0);
	$this->SetTextColor(255);
	$this->SetDrawColor(128,0,0);
	$this->SetLineWidth(.3);
	$this->SetFont('','B');

	//En-t�te
	$w = array(40,35);
	for($i=0;$i<count($header);$i++)
		$this->Cell($w[$i],7,$header[$i],1,0,'C',1);
	$this->Ln();
	
	//Restauration des couleurs et de la police
	$this->SetFillColor(224,235,255);
	$this->SetTextColor(0);
	$this->SetFont('');
	
	//Donn�es
	
	/*
	Format in "table.txt"
	
	$row[0] = row title
	$row[1] = variable name
	$row[2] = red value (hexidecimal)
	$row[3] = green value (hexidecimal)
	$row[4] = blue value (hexidecimal)
	
	Example:
	
	$row[0] = Fioul
	$row[1] = fioul
	$row[2] = d4
	$row[3] = 3c
	$row[4] = 0f
	
	*/
	
	$fill=false;
	
	foreach($data as $row) {
	
		$this->SetTextColor(hexdec($row[2]),hexdec($row[3]),hexdec($row[4]));
		
		// Center the table row
		$this->SetX(67.5);
		$this->Cell($w[0],6,$row[0],'LR',0,'L',$fill);
		
		// Create a dynamically-named variable
		$form_values_array = array();
		$form_values_array["$row[1]"] = '$' . "$row[1]";
		$work_variable = $form_values_array["$row[1]"];
		eval('$work_variable = "' . str_replace('"', '\\"', $work_variable) . '";');
		
		$this->Cell($w[1],6,$work_variable,'LR',0,'R',$fill);
		$this->Ln();
		$fill=!$fill;
	}
	
	// Add another row to the table for the totals
	$this->SetX(67.5); // center the table row
	
	$this->SetTextColor(0,0,0);
	$this->Cell($w[0],6,'TOTAL','LRBT',0,'L',$fill);
	
	$this->Cell($w[1],6,round($result,0) . ' kg','LRBT',0,'R',$fill);
	$this->Ln(10);
	$fill=!$fill;

}

function GraphDisplay($graphdata) {

	global $fioul_perc, $elec_perc, $gaz_perc, $avion_perc, $voit_perc, $train_perc;
  $this->SetFont('Arial','B',18);
	$this->SetTextColor(100);
	$this->Cell(210,15, 'Votre profil Co2',0,1,'C');
	$this->Line(80, 115, 130, 115);
	//cadre
	$this->Line(50, 130, 160, 130);
	$this->Line(50, 180, 160, 180);
	$this->Line(50, 130, 50, 180);
	$this->Line(160, 130, 160, 180);
	/*
	Format in "graph.txt"
	
	$row[0] = axis title
	$row[1] = variable name
	$row[2] = red value (hexidecimal)
	$row[3] = green value (hexidecimal)
	$row[4] = blue value (hexidecimal)
	
	Example:
	
	$row[0] = fioul
	$row[1] = fioul_perc
	$row[2] = d4
	$row[3] = 3c
	$row[4] = 0f
	
	*/

	// Draw percentage labels
	$this->SetX(55);
	
	foreach($graphdata as $row) {
	
		$this->SetFont('Arial','',10);
		$this->SetTextColor(hexdec($row[2]),hexdec($row[3]),hexdec($row[4]));
	
		// Create a dynamically-named variable
		$form_values_array = array();
		$form_values_array["$row[1]"] = '$' . "$row[1]";
		$work_variable = $form_values_array["$row[1]"];
		eval('$work_variable = "' . str_replace('"', '\\"', $work_variable) . '";');
		
		$this->Cell(17,10,$work_variable . '%',0,0,'C');
	
	}
	
	$this->Ln(10);

	// Draw boxes
	$current_x_position = 55;
	
	$y_position = $this->GetY() + 25;
	
	foreach($graphdata as $row) {
	
		$this->SetFillColor(hexdec($row[2]),hexdec($row[3]),hexdec($row[4]));
		
		// Create a dynamically-named variable
		$form_values_array = array();
		$form_values_array["$row[1]"] = '$' . "$row[1]";
		$work_variable = $form_values_array["$row[1]"];
		eval('$work_variable = "' . str_replace('"', '\\"', $work_variable) . '";');
		
		$centered_y_position = $y_position - ($work_variable / 4);
		
		$this->Rect($current_x_position,$centered_y_position,$work_variable,($work_variable / 2),'F');
		
		$current_x_position = $current_x_position + $work_variable;
		
	}
	
	$this->Ln(50);
	
	// Draw axis labels
	$this->SetX(55);
	
	foreach($graphdata as $row) {
	
		$this->SetTextColor(hexdec($row[2]),hexdec($row[3]),hexdec($row[4]));
		$this->SetFont('Arial','',10);
		
		$this->Cell(17,10,$row[0],0,0,'C');
	
	}
	
	$this->Ln(10);

}

function LabelDisplay() {
    global $uitkomst, $b_label, $c_label, $d_label, $e_label, $f_label, $g_label;

	$this->Ln(10);	
        $this->SetFont('Arial','B',18);	
        $this->SetTextColor(100);	
      	$this->Cell(210,15,'Votre label Co2' . '',0,0,'C');
        $this->Line(80, 210, 130, 210);  

	$this->Line(60, 200, 150, 200);
	$this->Line(60, 200, 60, 270);
	$this->Line(60, 270, 150, 270);
	$this->Line(150, 200, 150, 270);	
      
      	  $this->Image('../image/a.gif',70,215,23,0,'','');
		if($uitkomst <= $b_label) {
		$this->Image('../image/a2.gif',130,215,12,0,'','');}
      	  $this->Image('../image/b.gif',70,222,27,0,'','');
		if($uitkomst >= $b_label && $uitkomst <= $c_label) {
		$this->Image('../image/b2.gif',130,220,12,0,'',''); }
      	  $this->Image('../image/c.gif',70,229,31,0,'','');
		if($uitkomst >= $c_label && $uitkomst <= $d_label) {
		$this->Image('../image/c2.gif',130,227,12,0,'',''); }
      	  $this->Image('../image/d.gif',70,236,35,0,'','');
		if($uitkomst >= $d_label && $uitkomst <= $e_label) {	
		$this->Image('../image/d2.gif',130,234,12,0,'',''); }
      	  $this->Image('../image/e.gif',70,243,39,0,'','');
		if($uitkomst >= $e_label && $uitkomst <= $f_label) {
		$this->Image('../image/e2.gif',130,241,12,0,'',''); }
      	  $this->Image('../image/f.gif',70,250,43,0,'','');
		if($uitkomst >= $f_label && $uitkomst <= $g_label) {
		$this->Image('../image/f2.gif',130,248,12,0,'',''); }
      	  $this->Image('../image/g.gif',70,257,47,0,'','');
		if($uitkomst > $g_label) {
		$this->Image('../image/g2.gif',130,255,12,0,'',''); }
      	}
}
     
$pdf=new PDF('P','mm','A4');
$pdf->SetTitle('Profil CO2');
$pdf->SetAuthor('LJ01');

$pdf->SetLeftMargin(0);

//Chargement des donn�es
$data=$pdf->LoadData('table.txt');
$pdf->SetFont('Arial','',14);
$pdf->AddPage();
$pdf->FancyTable($header,$data);

$graphdata=$pdf->LoadData('graph.txt');
$pdf->GraphDisplay($graphdata);

$pdf->LabelDisplay();

$pdf->Output();
?>
